stan-0.2.0.0: Haskell STatic ANalyser

Safe Haskell | None
Language | Haskell2010

Target.AntiPattern.Stan0206

# Documentation

data RecordExample a #

Constructors

RecordExample |
Fields strictField :: !Int lazyField :: Int lazyVar :: a

newtype NewtypeExample1 #

Constructors

NewtypeExample1 Bool |

newtype NewtypeExample2 #

Constructors

NewtypeExample2 |
Fields unWrap :: Int

data PlainExample #

Constructors

Mk1 !Int Int |
Mk2 !Int |
Mk3 Bool |

data ConstraintExample #

Constructors

Constr a |
Constr2 a !b |
Num a => Constr3 a |
(Num a, Ord b) => Constr4 a !b |

data ConstraintRecord #

Constructors

Num a => ConstraintRecord |
Fields crInt :: Int crNum :: a